package electrosphere.game.server.pathfinding.blocker;

import electrosphere.main.Globals;

/**
 *
 * Why it's own class? in case we want to use separate logic for non-heightfield chunks later (dungeons mby)
 * 
 * @author amaterasu
 */
public class NavBlocker {
    
    boolean[][] heightfieldBlocker;
    
    public NavBlocker(){
        heightfieldBlocker = new boolean[Globals.serverTerrainManager.getAugmentedChunkWidth()][Globals.serverTerrainManager.getAugmentedChunkWidth()];
    }
    
    public NavBlocker(boolean[][] field){
        heightfieldBlocker = field;
    }
    
    public boolean[][] getHeightfieldBlocker(){
        return heightfieldBlocker;
    }
    
    public void setHeightfieldBlockerValue(int x, int y, boolean value){
        heightfieldBlocker[x][y] = value;
    }
    
}
